
%def_disable apidox
%define _iskde 1
%define unstable 0
%define _unpackaged_files_terminate_build 1

%if %unstable
%set_strip_method none
%endif

Name: kdevplatform
Version: 1.2.2
Release: alt1

Group: Development/C++
Summary: Integrated Development Environment for C++/C
Url: http://www.kde.org
License: GPL

Requires: %name-common = %version-%release

Source: ftp://ftp.kde.org/pub/kde/stable/%version/src/kdevplatform-%version.tar.gz
Source1: kdevplatform-translations-%version.tar.gz
Patch1: kdevplatform-post-%version.patch
Patch2: kdevplatform-alt-translations.patch

BuildRequires(pre): kde4libs-devel >= 4.6.0
BuildRequires: attica-devel boost-devel cvs gcc-c++ glib2-devel glibc-devel
BuildRequires: libsubversion-devel libssh2-devel qjson-devel
Conflicts: kde4libs < 4.6.0
#BuildRequires: mercurial qt4-assistant qt4-designer subversion valgrind
#%if_enabled apidox
#BuildRequires: doxygen
#%endif

%description
%name module needed by Kdevelop or Quanta

%package common
Summary: %name core files
Group: System/Configuration/Other
Requires: kde-common
%description common
Common files for %name

%package -n libkdevplatformtests4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformtests4
KDE 4 library.

%package -n libkdevplatforminterfaces4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatforminterfaces4
KDE 4 library.

%package -n libkdevplatformlanguage4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformlanguage4
KDE 4 library.

%package -n libkdevplatformoutputview4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformoutputview4
KDE 4 library.

%package -n libkdevplatformproject4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformproject4
KDE 4 library.

%package -n libkdevplatformshell4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformshell4
KDE 4 library.

%package -n libkdevplatformutil4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformutil4
KDE 4 library.

%package -n libkdevplatformvcs4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformvcs4
KDE 4 library.

%package -n libkdevplatformveritas4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformveritas4
KDE 4 library.

%package -n libsublime4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libsublime4
KDE 4 library.

%package -n libkdevplatformdebugger4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformdebugger4
KDE 4 library.

%package -n libkdevplatformdocumentation4
Summary: KDE 4 library
Group: System/Libraries
Requires: %name-common = %version-%release
Requires: kde4libs >= %{get_version kde4libs}
%description -n libkdevplatformdocumentation4
KDE 4 library.

%package devel
Summary: Development files for kdevplatform
Group: Development/KDE and QT
%description devel
Development files for kdevplatform.


%prep
%setup -q -a 1 -n kdevplatform-%version
%patch1 -p1
cd po
%patch2 -p1
cd ..

cat >>CMakeLists.txt <<EOF

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )
EOF

%build
%K4cmake
%K4make

%if_enabled apidox
make apidox
%endif


%install
%K4install
%K4find_lang --output=%name.lang --with-kde          kdevappwizard

for m in \
kdevclassbrowser kdevcontextbrowser kdevcvs kdevdocumentswitcher kdevdocumentview \
kdevexecute kdevfilemanager kdevgenericprojectmanager kdevgrepview kdevkonsole \
kdevpatchreview kdevplatform kdevproblemreporter kdevprojectmanagerview \
kdevquickopen kdevsnippet kdevstandardoutputview kdevsubversion kdevexternalscript \
kdevgit kdevcodeutils kdevopenwith kdevpastebin kdevreviewboard
do
    %K4find_lang --output=%name.lang --with-kde --append $m
done


%files common

%files -f %name.lang
%_K4lib/*.so
%_K4apps/kdevcodeutils
%_K4apps/kdevexternalscript
%_K4apps/kdevprojectmanagerview
%_K4apps/kdevstandardoutputview
%_K4apps/kdevfilemanager
%_K4apps/kdevcvs
%_K4apps/kdevquickopen
%_K4apps/kdevproblemreporter
%_K4apps/kdevcontextbrowser
%_K4apps/kdevsourceformatter
%_K4apps/kdevappwizard
#%_K4apps/kdevmercurial
%_K4apps/kdevclassbrowser
%_K4apps/kdevdebugger
%_K4apps/kdevdocumentswitcher
%_K4apps/kdevcodegen
%_K4apps/kdevpatchreview
%_K4apps/kdevdocumentview
%_K4apps/kdevgrepview
%_K4apps/kdevsession
%_K4apps/kdevsnippet
%_K4srv/kdevquickopen.desktop
%_K4srv/kcm_kdev_uisettings.desktop
%_K4srv/kdevfilemanager.desktop
%_K4srv/kdevgenericmanager.desktop
%_K4srv/kdevkonsoleview.desktop
%_K4srv/kdevprojectmanagerview.desktop
%_K4srv/kdevsnippet.desktop
%_K4srv/kdevstandardoutputview.desktop
%_K4srv/kcm_kdev_envsettings.desktop
%_K4srv/kcm_kdev_bgsettings.desktop
%_K4srv/kcm_kdev_ccsettings.desktop
%_K4srv/kcm_kdev_projectsettings.desktop
%_K4srv/kdevsubversion.desktop
%_K4srv/kdevproblemreporter.desktop
%_K4srv/kdevcvs.desktop
%_K4srv/kdevexecute.desktop
%_K4srv/kcm_kdev_genericprojectmanagersettings.desktop
%_K4srv/kcm_kdevsourceformattersettings.desktop
%_K4srv/kdevcontextbrowser.desktop
#%_K4srv/kdevsourceformatter.desktop
%_K4srv/kcm_kdev_pluginsettings.desktop
%_K4srv/kdevappwizard.desktop
%_K4srv/kdevclassbrowser.desktop
%_K4srv/kdevdocumentswitcher.desktop
#%_K4srv/kdevmercurial.desktop
%_K4srv/kdevopenwith.desktop
%_K4srv/kdevpatchreview.desktop
%_K4srv/kdevdocumentview.desktop
%_K4srv/kdevgrepview.desktop
%_K4srv/kdevcodeutils.desktop
%_K4srv/kdevexternalscript.desktop
%_K4srv/kdevgit.desktop
%_K4srv/kdevpastebin.desktop
%_K4srv/kdevreviewboard.desktop
%_K4srvtyp/kdevelopplugin.desktop
%_K4iconsdir/hicolor/*/actions/run-clean.*
%_K4iconsdir/hicolor/*/actions/run-install.*
%_K4iconsdir/hicolor/*/apps/reviewboard.*
%_K4iconsdir/hicolor/*/apps/git.*

%files -n libkdevplatformtests4
%_K4libdir/libkdevplatformtests.so.*

%files -n libkdevplatforminterfaces4
%_K4libdir/libkdevplatforminterfaces.so.*

%files -n libkdevplatformlanguage4
%_K4libdir/libkdevplatformlanguage.so.*

%files -n libkdevplatformoutputview4
%_K4libdir/libkdevplatformoutputview.so.*

%files -n libkdevplatformproject4
%_K4libdir/libkdevplatformproject.so.*

%files -n libkdevplatformshell4
%_K4libdir/libkdevplatformshell.so.*

%files -n libkdevplatformutil4
%_K4libdir/libkdevplatformutil.so.*

%files -n libkdevplatformvcs4
%_K4libdir/libkdevplatformvcs.so.*

#%files -n libkdevplatformveritas4
#%_K4libdir/libkdevplatformveritas.so.*

%files -n libsublime4
%_K4libdir/libsublime.so.*

%files -n libkdevplatformdebugger4
%_K4libdir/libkdevplatformdebugger.so.*

%files -n libkdevplatformdocumentation4
%_K4libdir/libkdevplatformdocumentation.so.*

%files devel
#%_K4apps/cmake/modules/FindKDevPlatform.cmake
%_K4libdir/cmake/kdevplatform/
%_K4includedir/kdevplatform
%_K4link/lib*.so

%changelog
* Mon Apr 25 2011 Alexey Morozov <morozov@altlinux.org> 1.2.2-alt1
- updated to the current stable git (post-1.2.2)
- translations updated from upstream and slightly polished

* Tue Mar 15 2011 Alexey Morozov <morozov@altlinux.org> 1.2.0-alt0.2
- updated to the current stable git
- translations updated from upstream and slightly polished

* Fri Mar 11 2011 Alexey Morozov <morozov@altlinux.org> 1.2.0-alt0.1
- new version (kdevplatform.po is taken from upstream)

* Wed Jan 26 2011 Alexey Morozov <morozov@altlinux.org> 1.1.2-alt1
- merged with upstream translations.

* Thu Jan 20 2011 Alexey Morozov <morozov@altlinux.org> 1.1.2-alt0.4
- (Russian) translations merged with the upstream and slightly updated

* Mon Jan 17 2011 Alexey Morozov <morozov@altlinux.org> 1.1.2-alt0.3
- translations merged with the upstream.
- Russian translations updated

* Mon Jan 17 2011 Alexey Morozov <morozov@altlinux.org> 1.1.2-alt0.2
- few translations updated

* Fri Jan 14 2011 Alexey Morozov <morozov@altlinux.org> 1.1.2-alt0.1
- new version (1.1.2, not announced yet)

* Mon Dec 06 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.1-alt1
- new version

* Mon Nov  1 2010 Alexey Morozov <morozov@altlinux.org> 1.1.0-alt1.1
- merged with zerg@'s package
- included updated translations (particularly for Russian)

* Tue Oct 26 2010 Sergey V Turchin <zerg@altlinux.org> 1.1.0-alt1
- new version

* Thu Oct 14 2010 Alexey Morozov <morozov@altlinux.org> 1.0.90-alt0.1
- new version (1.1rc1)
  * cleaned up obsoleted stuff
  * included few new plugins (git, externalscript, pastebin etc)
    and platform libraries

* Tue Aug 24 2010 Sergey V Turchin <zerg@altlinux.org> 1.0.1-alt1
- new version

* Thu Apr 29 2010 Sergey V Turchin <zerg@altlinux.org> 1.0.0-alt1
- 1.0.0 release

* Mon Apr 19 2010 Sergey V Turchin <zerg@altlinux.org> 0.10.2-alt1
- RC3

* Tue Mar 30 2010 Sergey V Turchin <zerg@altlinux.org> 0.9.99-alt1
- 0.9.99

* Wed Mar 03 2010 Sergey V Turchin <zerg@altlinux.org> 0.9.98-alt1
- 0.9.98

* Wed Aug 26 2009 Sergey V Turchin <zerg@altlinux.org> 0.9.95-alt1
- initial specfile
